<template>
  <BreezeGuestLayout>
    <!-- <Head title="Welcome12w" /> -->
    <FrontendHead  />
    <section class="blog-area section-padding-strict border-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-8">
                            <div class="post-details" style="margin-top: 3rem">
                                    <div class="post-head">
                                        <img :src="'/storage/' + news.images" alt="">
                                    </div>
                                    <div class="post-content">
                                        <div class="post-header">
                                            <h3>{{ news.title }}</h3>
                                            <ul class="list-unstyled">
                                                <li>{{ moment(news.updated_at).format("DD-MM-YYYY") }}</li>
                                                <li>oleh {{ news.name }}</li>
                                                <li>pada  Berita</li>
                                            </ul>
                                        </div>
                                        <div class="post-body" style="text-align: justify">
                                            <p v-html="news.contents"></p>
                                        </div>
                                    </div>
                                </div><!-- ends: .post-details -->

                    </div><!-- ends: .col-lg-8 -->
                    <div class="col-md-4 mt-5 mt-md-0">
                        <div class="sidebar-frontend">
                            <div class="widget-wrapper">
                                <div class="search-widget">
                                    <form action="#">
                                        <div class="input-group">
                                            <input
                                                type="text"
                                                class="fc--rounded"
                                                placeholder="Pencarian"
                                                v-model="keyword"
                                            />
                                            <div style="width:366.66px">
                                              <Link
                                                style="float:right;margin-top:-2.7rem;margin-right:1rem"
                                                :href="route('search-news')"
                                                class="fc--rounded btn btn-warning"
                                                method="get"
                                                :data="{
                                                    'filter[title]': keyword,
                                                }"
                                                >Cari</Link
                                            >
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="widget-wrapper">
                                <div class="widget-default">
                                    <div class="widget-header">
                                        <h6 class="widget-title">
                                            Berita terkini
                                        </h6>
                                    </div>
                                    <div class="widget-content">
                                        <div class="sidebar-post">
                                            <div class="post-single" v-for="nn in new_news" :key="nn.id">
                                                <div
                                                    class="
                                                        d-flex
                                                        align-items-center
                                                    "
                                                >
                                                    <a :href="route('berita-detail', { slug: nn.slug })"
                                                        ><img :src="'/storage/' + nn.images" alt="" style="width:15rem;height:10rem"
                                                    /></a>
                                                    <p>
                                                        <span
                                                            >{{ moment(nn.updated_at).format("DD-MM-YYYY") }}</span
                                                        >
                                                        <span
                                                            >by {{ nn.name }}</span
                                                        >
                                                    </p>
                                                </div>
                                                <a :href="route('berita-detail', { slug: nn.slug })" class="post-title"
                                                    >{{ nn.title }}</a
                                                >
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- ends: .sidebar -->
                    </div><!-- ends: .col-lg-4 -->
                </div>
            </div>
        </section><!-- ends: .blog-area -->
    
  </BreezeGuestLayout>
</template>

<script>
import FrontendHead from "@/Components/FrontendHead.vue";
import BreezeGuestLayout from "@/Layouts/Guest_new.vue";
import { defineComponent } from "vue";
import { Head, Link } from "@inertiajs/inertia-vue3";
import moment from "moment";
export default defineComponent({
  props: ["news", "new_news"],

  components: {
    FrontendHead,
    BreezeGuestLayout,
    Head,
    Link,
  },
  data() {
    return {
      moment: moment,
      keyword: null,
    };
  },

  setup() {},
});
</script>
